## org.apache.lucene.search
Class TermStatistics

    java.lang.Object
      org.apache.lucene.search.TermStatistics

    public class TermStatistics

extends Object

Contains statistics for a specific term

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`TermStatistics(BytesRef term, long docFreq, long totalTermFreq)`

Method Summary
`long` `docFreq()` returns the number of documents this term occurs in
`BytesRef` `term()` returns the term text
`long` `totalTermFreq()` returns the total number of occurrences of this term

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermStatistics

    public TermStatistics(BytesRef term,
                          long docFreq,
                          long totalTermFreq)

Method Detail

### term

    public final BytesRef term()

  returns the term text

### docFreq

    public final long docFreq()

  returns the number of documents this term occurs in

  See Also:
    `TermsEnum.docFreq()`

### totalTermFreq

    public final long totalTermFreq()

  returns the total number of occurrences of this term

  See Also:
    `TermsEnum.totalTermFreq()`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.